MacWrtProStructuresInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
MacWrtProStructuresInternal::State Struct Reference

Internal: the state of a MacWrtProStructures. More...

## Public Member Functions
| State ()
| constructor More...

## Static Public Member Functions
static bool | updateLineType (int lineType, MWAWBorder &border)
| try to set the line properties of a border More...

## Public Attributes
int | m_version
| the file version More...
int | m_numPages
| the number of pages More...
librevenge::RVNGBinaryData | m_inputData
| the input data More...
std::vector< Font > | m_fontsList
| the list of fonts More...
std::vector< Paragraph > | m_paragraphsList
| the list of paragraph More...
std::vector< Section > | m_sectionsList
| the list of section More...
std::vector< shared_ptr< Block > > | m_blocksList
| the list of block More...
std::map< int, shared_ptr< Block > > | m_blocksMap
| a map block id -> block More...
std::map< int, shared_ptr< Table > > | m_tablesMap
| a map block id -> table More...
std::vector< int > | m_footnotesList
| the foonote list (for MWII) More...
std::map< int, int > | m_headersMap
| a map page -> header id More...
std::map< int, int > | m_footersMap
| a map page -> footer id More...
std::set< MWAWVec2i > | m_blocksSendSet
| a list of block use to avoid potential loop in bad file More...

## Detailed Description

Internal: the state of a MacWrtProStructures.

## Constructor & Destructor Documentation

## § State()

MacWrtProStructuresInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## § updateLineType()

static bool MacWrtProStructuresInternal::State::updateLineType | ( | int | lineType,
|  | MWAWBorder & | border
| ) |  |
| inlinestatic

try to set the line properties of a border

## Member Data Documentation

## § m_blocksList

std::vector<shared_ptr<Block> > MacWrtProStructuresInternal::State::m_blocksList

the list of block

## § m_blocksMap

std::map<int, shared_ptr<Block> > MacWrtProStructuresInternal::State::m_blocksMap

a map block id -> block

## § m_blocksSendSet

std::set<MWAWVec2i> MacWrtProStructuresInternal::State::m_blocksSendSet

a list of block use to avoid potential loop in bad file

## § m_fontsList

std::vector<Font> MacWrtProStructuresInternal::State::m_fontsList

the list of fonts

## § m_footersMap

std::map<int, int> MacWrtProStructuresInternal::State::m_footersMap

a map page -> footer id

## § m_footnotesList

std::vector<int> MacWrtProStructuresInternal::State::m_footnotesList

the foonote list (for MWII)

## § m_headersMap

std::map<int, int> MacWrtProStructuresInternal::State::m_headersMap

a map page -> header id

## § m_inputData

librevenge::RVNGBinaryData MacWrtProStructuresInternal::State::m_inputData

the input data

## § m_numPages

int MacWrtProStructuresInternal::State::m_numPages

the number of pages

## § m_paragraphsList

std::vector<Paragraph> MacWrtProStructuresInternal::State::m_paragraphsList

the list of paragraph

## § m_sectionsList

std::vector<Section> MacWrtProStructuresInternal::State::m_sectionsList

the list of section

## § m_tablesMap

std::map<int, shared_ptr<Table> > MacWrtProStructuresInternal::State::m_tablesMap

a map block id -> table

## § m_version

int MacWrtProStructuresInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- MacWrtProStructures.cxx